QwtArraySeriesData< T >(3)

NAME
QwtArraySeriesData< T > - Template class for data, that is organized as QVector.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtSeriesData< T >.

  Public Member Functions
QwtArraySeriesData ()
Constructor.
QwtArraySeriesData (const QVector< T > &samples)
void setSamples (const QVector< T > &samples)
const QVector< T > samples () const
virtual size_t size () const override
virtual T sample (size_t index) const override

  Protected Attributes
QVector< T > m_samples
Vector of samples.

Detailed Description

  template<typename T>
class QwtArraySeriesData< T >" Template class for data, that is organized as QVector. QVector uses implicit data sharing and can be passed around as argument efficiently.

Definition at line 135 of file qwt_series_data.h.

Constructor & Destructor Documentation

  template<typename T > QwtArraySeriesData< T >::QwtArraySeriesData (const QVector< T > & samples) [explicit]
Constructor

Parameters
    samples Array of samples

Definition at line 178 of file qwt_series_data.h.

Member Function Documentation

  template<typename T > T QwtArraySeriesData< T >::sample (size_t index) const [override], [virtual]

Returns
    Sample at a specific position

Parameters
    index Index

Returns
    Sample at position index

Implements QwtSeriesData< T >.

Reimplemented in QwtSyntheticPointData, QwtCPointerValueData< T >, QwtValuePointData< T >, QwtCPointerData< T >, and QwtPointArrayData< T >.

Definition at line 203 of file qwt_series_data.h.

  template<typename T > const QVector< T > QwtArraySeriesData< T >::samples

Returns
    Array of samples

Definition at line 191 of file qwt_series_data.h.

  template<typename T > void QwtArraySeriesData< T >::setSamples (const QVector< T > & samples)
Assign an array of samples

Parameters
    samples Array of samples

Definition at line 184 of file qwt_series_data.h.

  template<typename T > size_t QwtArraySeriesData< T >::size [override], [virtual]

Returns
    Number of samples

Implements QwtSeriesData< T >.

Reimplemented in QwtSyntheticPointData, QwtCPointerValueData< T >, QwtValuePointData< T >, QwtCPointerData< T >, and QwtPointArrayData< T >.

Definition at line 197 of file qwt_series_data.h.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.